using System;

namespace Takmicenje1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] spojlovan = Console.ReadLine().Split(' ');
            int a = int.Parse(spojlovan[0]);
            int b = int.Parse(spojlovan[1]);
            string[] poluvreme = Console.ReadLine().Split(' ');
            int x = int.Parse(poluvreme[0]);
            int y = int.Parse(poluvreme[1]);

            string ispis;

            if (a == x)
            {
                if (b == y) ispis = "nijedan";
                else ispis = "drugi";
            }
            else
            {
                if (b == y) ispis = "prvi";
                else ispis = "?";
            }

            Console.WriteLine(ispis);
        }
    }
}